# frozen_string_literal: true

require_relative 'lib/gci/version'

Gem::Specification.new do |spec|
  spec.name          = 'gci'
  spec.version       = GCI::VERSION
  spec.authors       = ['Marius Bobin']
  spec.email         = ['marius@mbobin.me']

  spec.summary       = 'Write your GitLab pipeline configuration in Ruby!'
  spec.description   = <<~DESC
    Using dynamic pipelines you can use your favorite programming \
    language to generate YAML files for pipelines.
  DESC
  spec.homepage      = 'https://gitlab.com/mbobin/gci'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.5.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activesupport', '>= 5.0'
end
